<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ProjectTaskAssignmentSearchBasic StructType
 * @subpackage Structs
 */
class ProjectTaskAssignmentSearchBasic extends SearchRecordBasic
{
    /**
     * The actualWork
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $actualWork;
    /**
     * The cost
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $cost;
    /**
     * The costBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $costBase;
    /**
     * The endDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $endDate;
    /**
     * The estimatedWork
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $estimatedWork;
    /**
     * The estimatedWorkBaseline
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $estimatedWorkBaseline;
    /**
     * The grossProfit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $grossProfit;
    /**
     * The grossProfitBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $grossProfitBase;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The plannedWork
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $plannedWork;
    /**
     * The plannedWorkBaseline
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $plannedWorkBaseline;
    /**
     * The price
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $price;
    /**
     * The priceBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $priceBase;
    /**
     * The resource
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $resource;
    /**
     * The resourceName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $resourceName;
    /**
     * The serviceItem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $serviceItem;
    /**
     * The serviceItemDesc
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $serviceItemDesc;
    /**
     * The startDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $startDate;
    /**
     * The unitCost
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unitCost;
    /**
     * The unitCostBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unitCostBase;
    /**
     * The unitPrice
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unitPrice;
    /**
     * The unitPriceBase
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unitPriceBase;
    /**
     * The units
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $units;
    /**
     * The workCalendar
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $workCalendar;
    /**
     * Constructor method for ProjectTaskAssignmentSearchBasic
     * @uses ProjectTaskAssignmentSearchBasic::setActualWork()
     * @uses ProjectTaskAssignmentSearchBasic::setCost()
     * @uses ProjectTaskAssignmentSearchBasic::setCostBase()
     * @uses ProjectTaskAssignmentSearchBasic::setEndDate()
     * @uses ProjectTaskAssignmentSearchBasic::setEstimatedWork()
     * @uses ProjectTaskAssignmentSearchBasic::setEstimatedWorkBaseline()
     * @uses ProjectTaskAssignmentSearchBasic::setGrossProfit()
     * @uses ProjectTaskAssignmentSearchBasic::setGrossProfitBase()
     * @uses ProjectTaskAssignmentSearchBasic::setInternalId()
     * @uses ProjectTaskAssignmentSearchBasic::setInternalIdNumber()
     * @uses ProjectTaskAssignmentSearchBasic::setPlannedWork()
     * @uses ProjectTaskAssignmentSearchBasic::setPlannedWorkBaseline()
     * @uses ProjectTaskAssignmentSearchBasic::setPrice()
     * @uses ProjectTaskAssignmentSearchBasic::setPriceBase()
     * @uses ProjectTaskAssignmentSearchBasic::setResource()
     * @uses ProjectTaskAssignmentSearchBasic::setResourceName()
     * @uses ProjectTaskAssignmentSearchBasic::setServiceItem()
     * @uses ProjectTaskAssignmentSearchBasic::setServiceItemDesc()
     * @uses ProjectTaskAssignmentSearchBasic::setStartDate()
     * @uses ProjectTaskAssignmentSearchBasic::setUnitCost()
     * @uses ProjectTaskAssignmentSearchBasic::setUnitCostBase()
     * @uses ProjectTaskAssignmentSearchBasic::setUnitPrice()
     * @uses ProjectTaskAssignmentSearchBasic::setUnitPriceBase()
     * @uses ProjectTaskAssignmentSearchBasic::setUnits()
     * @uses ProjectTaskAssignmentSearchBasic::setWorkCalendar()
     * @param \StructType\SearchDoubleField $actualWork
     * @param \StructType\SearchDoubleField $cost
     * @param \StructType\SearchDoubleField $costBase
     * @param \StructType\SearchDateField $endDate
     * @param \StructType\SearchDoubleField $estimatedWork
     * @param \StructType\SearchDoubleField $estimatedWorkBaseline
     * @param \StructType\SearchDoubleField $grossProfit
     * @param \StructType\SearchDoubleField $grossProfitBase
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchDoubleField $plannedWork
     * @param \StructType\SearchDoubleField $plannedWorkBaseline
     * @param \StructType\SearchDoubleField $price
     * @param \StructType\SearchDoubleField $priceBase
     * @param \StructType\SearchMultiSelectField $resource
     * @param \StructType\SearchStringField $resourceName
     * @param \StructType\SearchStringField $serviceItem
     * @param \StructType\SearchStringField $serviceItemDesc
     * @param \StructType\SearchDateField $startDate
     * @param \StructType\SearchDoubleField $unitCost
     * @param \StructType\SearchDoubleField $unitCostBase
     * @param \StructType\SearchDoubleField $unitPrice
     * @param \StructType\SearchDoubleField $unitPriceBase
     * @param \StructType\SearchDoubleField $units
     * @param \StructType\SearchMultiSelectField $workCalendar
     */
    public function __construct(\StructType\SearchDoubleField $actualWork = null, \StructType\SearchDoubleField $cost = null, \StructType\SearchDoubleField $costBase = null, \StructType\SearchDateField $endDate = null, \StructType\SearchDoubleField $estimatedWork = null, \StructType\SearchDoubleField $estimatedWorkBaseline = null, \StructType\SearchDoubleField $grossProfit = null, \StructType\SearchDoubleField $grossProfitBase = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchDoubleField $plannedWork = null, \StructType\SearchDoubleField $plannedWorkBaseline = null, \StructType\SearchDoubleField $price = null, \StructType\SearchDoubleField $priceBase = null, \StructType\SearchMultiSelectField $resource = null, \StructType\SearchStringField $resourceName = null, \StructType\SearchStringField $serviceItem = null, \StructType\SearchStringField $serviceItemDesc = null, \StructType\SearchDateField $startDate = null, \StructType\SearchDoubleField $unitCost = null, \StructType\SearchDoubleField $unitCostBase = null, \StructType\SearchDoubleField $unitPrice = null, \StructType\SearchDoubleField $unitPriceBase = null, \StructType\SearchDoubleField $units = null, \StructType\SearchMultiSelectField $workCalendar = null)
    {
        $this
            ->setActualWork($actualWork)
            ->setCost($cost)
            ->setCostBase($costBase)
            ->setEndDate($endDate)
            ->setEstimatedWork($estimatedWork)
            ->setEstimatedWorkBaseline($estimatedWorkBaseline)
            ->setGrossProfit($grossProfit)
            ->setGrossProfitBase($grossProfitBase)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setPlannedWork($plannedWork)
            ->setPlannedWorkBaseline($plannedWorkBaseline)
            ->setPrice($price)
            ->setPriceBase($priceBase)
            ->setResource($resource)
            ->setResourceName($resourceName)
            ->setServiceItem($serviceItem)
            ->setServiceItemDesc($serviceItemDesc)
            ->setStartDate($startDate)
            ->setUnitCost($unitCost)
            ->setUnitCostBase($unitCostBase)
            ->setUnitPrice($unitPrice)
            ->setUnitPriceBase($unitPriceBase)
            ->setUnits($units)
            ->setWorkCalendar($workCalendar);
    }
    /**
     * Get actualWork value
     * @return \StructType\SearchDoubleField|null
     */
    public function getActualWork()
    {
        return $this->actualWork;
    }
    /**
     * Set actualWork value
     * @param \StructType\SearchDoubleField $actualWork
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setActualWork(\StructType\SearchDoubleField $actualWork = null)
    {
        $this->actualWork = $actualWork;
        return $this;
    }
    /**
     * Get cost value
     * @return \StructType\SearchDoubleField|null
     */
    public function getCost()
    {
        return $this->cost;
    }
    /**
     * Set cost value
     * @param \StructType\SearchDoubleField $cost
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setCost(\StructType\SearchDoubleField $cost = null)
    {
        $this->cost = $cost;
        return $this;
    }
    /**
     * Get costBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getCostBase()
    {
        return $this->costBase;
    }
    /**
     * Set costBase value
     * @param \StructType\SearchDoubleField $costBase
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setCostBase(\StructType\SearchDoubleField $costBase = null)
    {
        $this->costBase = $costBase;
        return $this;
    }
    /**
     * Get endDate value
     * @return \StructType\SearchDateField|null
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param \StructType\SearchDateField $endDate
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setEndDate(\StructType\SearchDateField $endDate = null)
    {
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get estimatedWork value
     * @return \StructType\SearchDoubleField|null
     */
    public function getEstimatedWork()
    {
        return $this->estimatedWork;
    }
    /**
     * Set estimatedWork value
     * @param \StructType\SearchDoubleField $estimatedWork
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setEstimatedWork(\StructType\SearchDoubleField $estimatedWork = null)
    {
        $this->estimatedWork = $estimatedWork;
        return $this;
    }
    /**
     * Get estimatedWorkBaseline value
     * @return \StructType\SearchDoubleField|null
     */
    public function getEstimatedWorkBaseline()
    {
        return $this->estimatedWorkBaseline;
    }
    /**
     * Set estimatedWorkBaseline value
     * @param \StructType\SearchDoubleField $estimatedWorkBaseline
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setEstimatedWorkBaseline(\StructType\SearchDoubleField $estimatedWorkBaseline = null)
    {
        $this->estimatedWorkBaseline = $estimatedWorkBaseline;
        return $this;
    }
    /**
     * Get grossProfit value
     * @return \StructType\SearchDoubleField|null
     */
    public function getGrossProfit()
    {
        return $this->grossProfit;
    }
    /**
     * Set grossProfit value
     * @param \StructType\SearchDoubleField $grossProfit
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setGrossProfit(\StructType\SearchDoubleField $grossProfit = null)
    {
        $this->grossProfit = $grossProfit;
        return $this;
    }
    /**
     * Get grossProfitBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getGrossProfitBase()
    {
        return $this->grossProfitBase;
    }
    /**
     * Set grossProfitBase value
     * @param \StructType\SearchDoubleField $grossProfitBase
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setGrossProfitBase(\StructType\SearchDoubleField $grossProfitBase = null)
    {
        $this->grossProfitBase = $grossProfitBase;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get plannedWork value
     * @return \StructType\SearchDoubleField|null
     */
    public function getPlannedWork()
    {
        return $this->plannedWork;
    }
    /**
     * Set plannedWork value
     * @param \StructType\SearchDoubleField $plannedWork
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setPlannedWork(\StructType\SearchDoubleField $plannedWork = null)
    {
        $this->plannedWork = $plannedWork;
        return $this;
    }
    /**
     * Get plannedWorkBaseline value
     * @return \StructType\SearchDoubleField|null
     */
    public function getPlannedWorkBaseline()
    {
        return $this->plannedWorkBaseline;
    }
    /**
     * Set plannedWorkBaseline value
     * @param \StructType\SearchDoubleField $plannedWorkBaseline
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setPlannedWorkBaseline(\StructType\SearchDoubleField $plannedWorkBaseline = null)
    {
        $this->plannedWorkBaseline = $plannedWorkBaseline;
        return $this;
    }
    /**
     * Get price value
     * @return \StructType\SearchDoubleField|null
     */
    public function getPrice()
    {
        return $this->price;
    }
    /**
     * Set price value
     * @param \StructType\SearchDoubleField $price
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setPrice(\StructType\SearchDoubleField $price = null)
    {
        $this->price = $price;
        return $this;
    }
    /**
     * Get priceBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getPriceBase()
    {
        return $this->priceBase;
    }
    /**
     * Set priceBase value
     * @param \StructType\SearchDoubleField $priceBase
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setPriceBase(\StructType\SearchDoubleField $priceBase = null)
    {
        $this->priceBase = $priceBase;
        return $this;
    }
    /**
     * Get resource value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getResource()
    {
        return $this->resource;
    }
    /**
     * Set resource value
     * @param \StructType\SearchMultiSelectField $resource
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setResource(\StructType\SearchMultiSelectField $resource = null)
    {
        $this->resource = $resource;
        return $this;
    }
    /**
     * Get resourceName value
     * @return \StructType\SearchStringField|null
     */
    public function getResourceName()
    {
        return $this->resourceName;
    }
    /**
     * Set resourceName value
     * @param \StructType\SearchStringField $resourceName
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setResourceName(\StructType\SearchStringField $resourceName = null)
    {
        $this->resourceName = $resourceName;
        return $this;
    }
    /**
     * Get serviceItem value
     * @return \StructType\SearchStringField|null
     */
    public function getServiceItem()
    {
        return $this->serviceItem;
    }
    /**
     * Set serviceItem value
     * @param \StructType\SearchStringField $serviceItem
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setServiceItem(\StructType\SearchStringField $serviceItem = null)
    {
        $this->serviceItem = $serviceItem;
        return $this;
    }
    /**
     * Get serviceItemDesc value
     * @return \StructType\SearchStringField|null
     */
    public function getServiceItemDesc()
    {
        return $this->serviceItemDesc;
    }
    /**
     * Set serviceItemDesc value
     * @param \StructType\SearchStringField $serviceItemDesc
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setServiceItemDesc(\StructType\SearchStringField $serviceItemDesc = null)
    {
        $this->serviceItemDesc = $serviceItemDesc;
        return $this;
    }
    /**
     * Get startDate value
     * @return \StructType\SearchDateField|null
     */
    public function getStartDate()
    {
        return $this->startDate;
    }
    /**
     * Set startDate value
     * @param \StructType\SearchDateField $startDate
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setStartDate(\StructType\SearchDateField $startDate = null)
    {
        $this->startDate = $startDate;
        return $this;
    }
    /**
     * Get unitCost value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnitCost()
    {
        return $this->unitCost;
    }
    /**
     * Set unitCost value
     * @param \StructType\SearchDoubleField $unitCost
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setUnitCost(\StructType\SearchDoubleField $unitCost = null)
    {
        $this->unitCost = $unitCost;
        return $this;
    }
    /**
     * Get unitCostBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnitCostBase()
    {
        return $this->unitCostBase;
    }
    /**
     * Set unitCostBase value
     * @param \StructType\SearchDoubleField $unitCostBase
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setUnitCostBase(\StructType\SearchDoubleField $unitCostBase = null)
    {
        $this->unitCostBase = $unitCostBase;
        return $this;
    }
    /**
     * Get unitPrice value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnitPrice()
    {
        return $this->unitPrice;
    }
    /**
     * Set unitPrice value
     * @param \StructType\SearchDoubleField $unitPrice
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setUnitPrice(\StructType\SearchDoubleField $unitPrice = null)
    {
        $this->unitPrice = $unitPrice;
        return $this;
    }
    /**
     * Get unitPriceBase value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnitPriceBase()
    {
        return $this->unitPriceBase;
    }
    /**
     * Set unitPriceBase value
     * @param \StructType\SearchDoubleField $unitPriceBase
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setUnitPriceBase(\StructType\SearchDoubleField $unitPriceBase = null)
    {
        $this->unitPriceBase = $unitPriceBase;
        return $this;
    }
    /**
     * Get units value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnits()
    {
        return $this->units;
    }
    /**
     * Set units value
     * @param \StructType\SearchDoubleField $units
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setUnits(\StructType\SearchDoubleField $units = null)
    {
        $this->units = $units;
        return $this;
    }
    /**
     * Get workCalendar value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getWorkCalendar()
    {
        return $this->workCalendar;
    }
    /**
     * Set workCalendar value
     * @param \StructType\SearchMultiSelectField $workCalendar
     * @return \StructType\ProjectTaskAssignmentSearchBasic
     */
    public function setWorkCalendar(\StructType\SearchMultiSelectField $workCalendar = null)
    {
        $this->workCalendar = $workCalendar;
        return $this;
    }
}
